## org.eclipse.uml2.uml
Interface ProfileApplication

All Superinterfaces:
  DirectedRelationship, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Relationship

    public interface ProfileApplication

extends DirectedRelationship

A representation of the model object 'Profile Application'. A profile application is used to show which profiles have been applied to a package.

The following features are supported:

- `Applied Profile`
- `Is Strict`
- `Applying Package`

See Also:
  `UMLPackage.getProfileApplication()`

Method Summary
`org.eclipse.emf.ecore.EPackage` `getAppliedDefinition()` Retrieves the definition (Ecore representation) of the profile associated with this profile application
`org.eclipse.emf.ecore.ENamedElement` `getAppliedDefinition(NamedElement namedElement)` Retrieves the definition (Ecore representation) of the specified named element in the profile associated with this profile application.
`Profile` `getAppliedProfile()` Returns the value of the 'Applied Profile' reference
`Package` `getApplyingPackage()` Returns the value of the 'Applying Package' container reference.
`boolean` `isStrict()` Returns the value of the 'Is Strict' attribute.
`void` `setAppliedProfile(Profile value)` Sets the value of the '`Applied Profile`' reference
`void` `setApplyingPackage(Package value)` Sets the value of the '`Applying Package`' container reference
`void` `setIsStrict(boolean value)` Sets the value of the '`Is Strict`' attribute

Methods inherited from interface org.eclipse.uml2.uml.DirectedRelationship
`getSources, getTargets`

Methods inherited from interface org.eclipse.uml2.uml.Relationship
`getRelatedElements`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAppliedProfile

    Profile getAppliedProfile()

  Returns the value of the 'Applied Profile' reference. References the Profiles that are applied to a Package through this ProfileApplication.

  Returns:
    the value of the 'Applied Profile' reference.
  See Also:
    `setAppliedProfile(Profile)`, `UMLPackage.getProfileApplication_AppliedProfile()`

### setAppliedProfile

    void setAppliedProfile(Profile value)

  Sets the value of the '`Applied Profile`' reference.

  Parameters:
    `value` - the new value of the 'Applied Profile' reference.
  See Also:
    `getAppliedProfile()`

### isStrict

    boolean isStrict()

  Returns the value of the 'Is Strict' attribute. The default value is `"false"`. Specifies that the Profile filtering rules for the metaclasses of the referenced metamodel shall be strictly applied.

  Returns:
    the value of the 'Is Strict' attribute.
  See Also:
    `setIsStrict(boolean)`, `UMLPackage.getProfileApplication_IsStrict()`

### setIsStrict

    void setIsStrict(boolean value)

  Sets the value of the '`Is Strict`' attribute.

  Parameters:
    `value` - the new value of the 'Is Strict' attribute.
  See Also:
    `isStrict()`

### getApplyingPackage

    Package getApplyingPackage()

  Returns the value of the 'Applying Package' container reference. It is bidirectional and its opposite is '`Profile Application`'. The package that owns the profile application.

  Returns:
    the value of the 'Applying Package' container reference.
  See Also:
    `setApplyingPackage(org.eclipse.uml2.uml.Package)`, `UMLPackage.getProfileApplication_ApplyingPackage()`, `Package.getProfileApplications()`

### setApplyingPackage

    void setApplyingPackage(Package value)

  Sets the value of the '`Applying Package`' container reference.

  Parameters:
    `value` - the new value of the 'Applying Package' container reference.
  See Also:
    `getApplyingPackage()`

### getAppliedDefinition

    org.eclipse.emf.ecore.EPackage getAppliedDefinition()

  Retrieves the definition (Ecore representation) of the profile associated with this profile application.

### getAppliedDefinition

    org.eclipse.emf.ecore.ENamedElement getAppliedDefinition(NamedElement namedElement)

  Retrieves the definition (Ecore representation) of the specified named element in the profile associated with this profile application.

  Parameters:
    `namedElement` - The named element for which to retrieve the applied definition.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.